Projects you work on
const url = 'https://api.gampeon.com/v1/me/projects';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.gampeon.com/v1/me/projects \ --header 'Authorization: Bearer <token>'Own projects and projects of your studios, with canEdit.
Access tokens: scope projects:read.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Projects
object
object
Development stage, in this order: concept, development, alpha, beta, released
Languages of the game (ISO 639-1), up to 10
Players on linked servers that are online
Linked servers that are online
Linked marketplace items with at least one free version
Accounts that marked the project as a favorite
Page views (counted once per visitor and day, the team not included)
Unix time in milliseconds
Unix time in milliseconds
Example
{ "projects": [ { "genre": "roleplay", "status": "concept", "languages": [ "en" ], "owner": { "type": "studio" } } ]}Error codes: unauthorized
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: insufficient_scope, token_not_allowed
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}